const rewireReactHotLoader = require("react-app-rewire-hot-loader");
const mfConfigPlugin = require("./config-mf");

/* config-overrides.js */
module.exports = function override(config, env) {
  if (env === "development") {
    config.resolve.alias["react-dom"] = "@hot-loader/react-dom";
  }
  config = rewireReactHotLoader(config, env);

  // 模块联邦
  mfConfigPlugin(config, env);

  return config;
};
